import  {
	request
	}from '../utils/request.js'


// 查询约课信息列表
export function listAppointment(query) {
  return request({
    url: '/system/appointment/list',
    method: 'get',
    params: query
  })
}

// 查询约课信息详细
export function getAppointment(appointmentId) {
  return request({
    url: '/system/appointment/' + appointmentId,
    method: 'get'
  })
}

// 新增约课信息
export function addAppointment(data) {
  return request({
    url: '/system/appointment',
    method: 'post',
    data: data
  })
}

// 修改约课信息
export function updateAppointment(data) {
  return request({
    url: '/system/appointment',
    method: 'put',
    data: data
  })
}

// 删除约课信息
export function delAppointment(appointmentId) {
  return request({
    url: '/system/appointment/' + appointmentId,
    method: 'delete'
  })
}


export function listByWid(pageNum,wchatId) {
  return request({
    url: `/system/appointment/listByWid/${pageNum}/${wchatId}`,
    method: 'get',
 
  })
}
