import  {
	request
	}from '../utils/request.js'

// 查询课程信息列表
export function listCourse(query) {
  return request({
    url: '/system/course/list',
    method: 'get',
    params: query
  })
}

// 查询课程信息详细
export function getCourse(courseId) {
  return request({
    url: '/system/course/wx/' + courseId,
    method: 'get'
  })
}

// 新增课程信息
export function addCourse(data) {
  return request({
    url: '/system/course',
    method: 'post',
    data: data
  })
}

// 修改课程信息
export function updateCourse(data) {
  return request({
    url: '/system/course',
    method: 'put',
    data: data
  })
}

// 删除课程信息
export function delCourse(courseId) {
  return request({
    url: '/system/course/' + courseId,
    method: 'delete'
  })
}


export function updateCourseStatus(courseIds){
  return request({
    url: '/system/course/updateCourseFlag/' + courseIds,
    method: 'Put',
    data: courseIds
  })
}


export function listByType(type,pageNum) {
  return request({
    url: `/system/course/wx/listByType/${type}/${pageNum}`,
    method: 'get',
 
  })
}


export function listByCourseId(courseId) {
  return request({
    url: '/system/course/listByCourseId/' + courseId,
    method: 'get'
  })
}
