export default {
	//开启命名空间
	namespaced: true,

	//数据
	state: () => ({
		// 登录成功之后的 token 字符串
		token: uni.getStorageSync('token') || '',
		// 用户的基本信息
		userInfo: JSON.parse(uni.getStorageSync('userInfo') || '{}')
		// userinfo: uni.getStorageSync('userinfo') || '{}'
	}),


	//方法
	mutations: {
		// 更新用户的基本信息
		updateUserInfo(state, userinfo) {
			state.userInfo = userinfo
			// 通过 this.commit() 方法，调用 m_user 模块下的 saveUserInfoToStorage 方法，将 userinfo 对象持久化存储到本地
			this.commit('m_user/saveUserInfoToStorage')
		},

		// 将 userInfo 持久化存储到本地
		saveUserInfoToStorage(state) {
			uni.setStorageSync('userInfo', JSON.stringify(state.userInfo))
		},


		// 更新 token 字符串
		updateToken(state, token) {
			state.token = token
			// 通过 this.commit() 方法，调用 m_user 模块下的 saveTokenToStorage 方法，将 token 字符串持久化存储到本地
			this.commit('m_user/saveTokenToStorage')
		},

		// 将 token 字符串持久化存储到本地
		saveTokenToStorage(state) {
			uni.setStorageSync('token', state.token)
		},
		
		deleteToken(state) {
			state.token=""
			this.commit('m_user/deleteTokenToStorage')
		},
		
		deleteTokenToStorage() {
				uni.clearStorageSync()
		}
	},
	// 模块的 getters 属性
	getters: {

	}
}
