import store from '@/store/store.js'

// 获取当前帐号信息
const accountInfo = wx.getAccountInfoSync();

// env类型
const env = accountInfo.miniProgram.envVersion;

if (!env) {
	console.error("获取运行环境失败!");
}else{
	console.log(env);
}


const url_all = {
	// DEV: "http://116.205.136.218:8088/api", //线上服务
	// 'DEV': 'http://127.0.0.1:8080', // 开发
	// 'DEV': 'http://192.168.1.11:8080'
	// 开发版
	develop: 'https://www.aiwanyundong.com/stage-api',
	// develop: 'https://www.aiwanyundong.com/api',
	// develop: 'http://127.0.0.1:8080',
	// 体验版
	trial: 'https://www.aiwanyundong.com/stage-api',
	// 正式版
	release: 'https://www.aiwanyundong.com/api'
	// 'DEV': 'https://www.aiwanyundong.com/api/'
};

let BASEURL = url_all[env];

export const request = (options = {}) => {
	return new Promise((resolve, rejects) => {
		handleRequest(options, resolve, rejects);
	});
};

// 发起请求
function handleRequest(options, resolve, reject) {
	let header = options.headers || {};
	const isToken = header.isToken === undefined || header.isToken === true;
	// todo: getToken() 重写
	if (isToken && getToken()) {
		header["Authorization"] = "Bearer " + getToken(); // 让每个请求携带自定义token 请根据实际情况自行修改
	}
	//请求
	uni.request({
		url: BASEURL + options.url,
		method: options.method.toUpperCase(),
		data: options.data,
		header: header,
		success: (response) => {
			// console.log(response)
			return resolve(response.data);
		},
		fail: (fail) => {
			console.log("fail", fail);
			return reject(fail);
		},
	});
}

//获取token
function getToken() {
	// 	return "eyJhbGciOiJIUzUxMiJ9.eyJsb2dpbl91c2VyX2tleSI6IjljZDRiMmJmLTNjZDAtNDNjNy1hZWJhLTJkMWNiNjYwNGU3NiJ9.pEQ5o6rVhGmryKt23avS9BV_2F5Z-3ujS30uAWIZkZQL3GCnnsFgsBYnKHErEFLvKZRQV7efnq_MCJZCjOTcJA"
	return 'wx_' + store.state.m_user.token;

}
